<?php

/**************** 1 *****************/
interface CacheInterface
{
    /**
     * Store a mixed type value in cache for a certain amount of seconds.
     * Allowed values are primitives and arrays.
     *
     * @param string $key
     * @param mixed $value
     * @param int $duration Duration in seconds
     * @return mixed
     */
    public function set(string $key, $value, int $duration);
	{
	
    /**
     * Retrieve stored item.
     * Returns the same type as it was stored in.
     * Returns null if entry has expired.
     *
     * @param string $key
     * @return mixed|null
     */
	 
	  return $this->put($key, $value, $duration);
	 }
    public function get(string $key);
	 {
	if (is_array($key)) {
            return $this->many($key);
        }
		
		 $value = $this->store->get($this->itemKey($key));
         $default = null;
        if (is_null($value)) {
		
            $this->event(new CacheMissed($key));
            $value = value($default);
        } else {
            $this->event(new CacheHit($key, $value));
        }
        return $value;
		}
}

/**************** 2 *****************/

 require 'vendor/autoload.php';
use GuzzleHttp\Client;
use GuzzleHttp\Exception\RequestException;
use GuzzleHttp\Psr7\Request;

class Shipping_Rate
{

$Shipping_Rate = array(
    'Address' => '11025 Westlake Dr, Charlotte, North Carolina, 28273',
    'Product_id => '7679',
	'Quantity' => '2'
);

json_encode($Shipping_Rate);


 public function getCurrent()
    {
$client = new GuzzleHttp\Client([
    'headers' => [ 
        'Accept' => 'application/json',
        'Content-type' => 'application/json',
        'X-Auth-Token' => '77qn9aax-qrrm-idki:lnh0-fm2nhmp0yca7' ]
]);

$request = $client->post('https://www.printful.com/docs/shipping',
    ['json' => $Shipping_Rate]
);
  $client->enqueue($request)->send();
  $response = $client->getResponse();
  return json_decode($response->getBody(), true);

            
 }
 
 /**************** 3 *****************/
 
 
 $obj = new Shipping_Rate(); 
  
$obj->getCurrent();

$Result->get($obj);
$Cache_Result->set($obj, $value, 300);

 
 